<?php

namespace B2buy\Faqadmin\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FaqTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Faqadmin\Models\Faq $faq)
    {
        return [
            'id'                => $faq->getRouteKey(),
            'key'               => [
                'public'    => $faq->getPublicKey(),
                'route'     => $faq->getRouteKey(),
            ], 
            'question'          => $faq->question,
            'answer'            => $faq->answer,
            'type'              => $faq->type,
            'category_id'       => $faq->category_id,
            'slug'              => $faq->slug,
            'title'             => $faq->title,
            'user_id'           => $faq->user_id,
            'user_type'         => $faq->user_type,
            'upload_folder'     => $faq->upload_folder,
            'deleted_at'        => $faq->deleted_at,
            'PRIMARY'           => $faq->PRIMARY,
            'url'               => [
                'public'    => trans_url('faqadmin/'.$faq->getPublicKey()),
                'user'      => guard_url('faqadmin/faq/'.$faq->getRouteKey()),
            ], 
            'status'            => trans('app.'.$faq->status),
            'created_at'        => format_date($faq->created_at),
            'updated_at'        => format_date($faq->updated_at),
        ];
    }
}