<?php

namespace B2buy\Faqadmin\Workflow;

use B2buy\Faqadmin\Models\Faq;
use B2buy\Faqadmin\Notifications\FaqWorkflow as FaqNotifyer;
use Notification;

class FaqNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Faq $faq
     *
     * @return void
     */
    public function complete(Faq $faq)
    {
        return Notification::send($faq->user, new FaqNotifyer($faq, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Faq $faq
     *
     * @return void
     */
    public function verify(Faq $faq)
    {
        return Notification::send($faq->user, new FaqNotifyer($faq, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Faq $faq
     *
     * @return void
     */
    public function approve(Faq $faq)
    {
        return Notification::send($faq->user, new FaqNotifyer($faq, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Faq $faq
     *
     * @return void
     */
    public function publish(Faq $faq)
    {
        return Notification::send($faq->user, new FaqNotifyer($faq, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Faq $faq
     *
     * @return void
     */
    public function archive(Faq $faq)
    {
        return Notification::send($faq->user, new FaqNotifyer($faq, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Faq $faq
     *
     * @return void
     */
    public function unpublish(Faq $faq)
    {
        return Notification::send($faq->user, new FaqNotifyer($faq, 'unpublish'));;

    }
}
